Power Community

Power Community

Dynamics 365 Business Central: Universal Code and Microsoft’s apps problems.

In these days lots of partners raised a problem appearing on lots of Dynamics 365 Business Central on-premises customers after upgrading their licenses (I’ve personally received lots of requests on my socials about this problem by many of you, so I suspect that the problem is hot and not well known).

The error appears after the user’s login and it’s something like the following:

Starting from October 2022, all apps in a Dynamics 365 Business Central environment have to support the Universal Code initiative. The Universal Code initiative is designed to encourage the use of a modern architecture in customer implementations of Business Central. As of October 2022, new Dynamics 365 Business Central customers deploying on-premises and customers transitioning to Dynamics 365 Business Central on-premises deployments will have to deploy a “cloud-optimized extensions” architecture (Universal Code) or license payable modules that unlock classic customization behavior. I’ve talked about that in the past here.

What does that mean practically? That your extension need to avoid having target = onPrem in the app.json file. Otherwise you need to insert in your customer’s license one or both the above modules:

  • Module “Implemented code is not in extensions”: if implemented partner code includes base application modifications, this module must be licensed.
  • Module “Implemented code is not cloud-optimized”: if the implemented extensions have target = OnPrem, this module must be licensed.

The problem here is that the above error appears on customer’s environment where no custom apps are installed or where all installed apps are cloud-compliant extensions. So, how to fix this error?

This error appears only if you have an on-premises customer running Dynamics 365 Business Central version = 21.5 and where you have updated the license (server restart). This is mainly due to a code-signing certificate expiration date.

To fix this problem, a technical upgrade is required. Here is a summary of the updates that you need to apply to fix the problem:

VersionMinimum CU to fix the problemFixed Platform
1919.1854863
2020.1254861
2121.654757
2222.055180

Please note that ONLY a technical upgrade is required (no need to update the Application). Standard full upgrade is however my personal recommended solution.

This post was originally published on this site

- Advertisement -spot_img

LEAVE A REPLY

Please enter your comment!
Please enter your name here

- Advertisement - Advertisement

Latest News

Announcing SharePoint Embedded General Availability

Authored by: Zach Rosenfield Today we’re pleased to announce the general availability of SharePoint Embedded, a new way to build...

More Articles Like This

- Advertisement -spot_img